<?php

/* DCMS Special
 * Дата последнего редактирования 12.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (!isset($user)) {
    header("Location: /aut.php");
}
if (isset($_GET['admin']) && $user['level'] >= 3) {
    $doc->Title('Панель навигации');

    require_once H . 'sys/inc/thead.php';

    aut();

    if (isset($_GET['new'])) {
        if (isset($_POST['name']) && isset($_POST['url']) && isset($_POST['icon'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
            if (utf8_strlen($name) < 2) {
                $err[] = lang('Слишком короткое название');
            }
            if (utf8_strlen($name) > 50) {
                $err[] = lang('Слишком длинное название');
            }

            if (utf8_strlen($_POST['url']) < 3) {
                $err[] = lang('Короткое ссылка');
            }
            $url = $_POST['url'];
            $icon = stripcslashes(htmlspecialchars($_POST['icon']));
            $name = $db->safesql($name);

            if (!isset($err)) {
                $db->query("INSERT INTO `links_foot` (`name`, `url`, `icon`) VALUES ('$name', '$url', '$icon')");

                $_SESSION['message'] = lang('Ссылка успешно добавлена');

                header("location: ?admin");
                exit;
            }
        }

        err();

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/links/'>" . lang('Панель навигации') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='?admin'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Добавление ссылок');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' method='post' action=''>\n";

        $doc->Input('name', 'Название', 100);
        $doc->Input('url', 'Ссылка', 100);
        $doc->Input('icon', 'Иконка', 100);
        echo "<br />";
        $doc->Link(null, 'http://fontawesome.io/icons/', 'fa', 'Список иконок');
        echo "<br /><br />";
        $doc->Button('btn btn-success btn-sm', 'ok', 'plus', 'Добавить');

        echo "</form>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    } elseif (isset($_GET['edit'])) {
        $k = $db->super_query("SELECT COUNT(*) as count FROM `links_foot` WHERE `id` = '" . intval($_GET['edit']) . "' LIMIT 1");

        if ($k['count'] != 0) {
            $link = $db->get_array($db->query("SELECT * FROM `links_foot` WHERE `id` = '" . intval($_GET['edit']) . "' LIMIT 1"));
        }
        if (isset($_POST['name']) && isset($_POST['url']) && isset($_POST['icon'])) {
            $name = esc(stripcslashes(htmlspecialchars($_POST['name'])));
            if (utf8_strlen($name) < 2) {
                $err[] = lang('Слишком короткое название');
            }
            if (utf8_strlen($name) > 50) {
                $err[] = lang('Слишком длинное название');
            }

            if (utf8_strlen($_POST['url']) < 3) {
                $err[] = lang('Короткое ссылка');
            }
            $url = $_POST['url'];
            $icon = stripcslashes(htmlspecialchars($_POST['icon']));
            $name = $db->safesql($name);

            if (!isset($err)) {
                $db->query("UPDATE `links_foot` SET `name` = '$name', `url` = '$url', `icon` = '$icon' WHERE `id` = '$link[id]' LIMIT 1");

                $_SESSION['message'] = lang('Изменения сохранены');
                header("location: ?admin");
                exit;
            }
        }

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/links/'>" . lang('Панель навигации') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='?admin'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Редактирование');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' method='POST' action='?admin&amp;edit=$link[id]&amp;ok'>";

        $doc->Input('name', 'Название', 100, "$link[name]");
        $doc->Input('url', 'Ссылка', 200, "$link[url]");
        $doc->Input('icon', 'Иконка', 100, "$link[icon]");
        echo "<br />";
        $doc->Link(null, 'http://fontawesome.io/icons/', 'fa', 'Список иконок');
        echo "<br /><br />";
        $doc->Button('btn btn-success btn-sm', 'ok', 'save', 'Сохранить');

        echo "</form>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    } elseif (isset($_GET['del'])) {
        $k = $db->super_query("SELECT COUNT(*) as count FROM `links_foot` WHERE `id` = '" . intval($_GET['del']) . "' LIMIT 1");

        if ($k['count'] != 0) {
            $link = $db->get_array($db->query("SELECT * FROM `links_foot` WHERE `id` = '" . intval($_GET['del']) . "' LIMIT 1"));
        }
        if (isset($_GET['ok'])) {
            $db->query("DELETE FROM `links_foot` WHERE `id` = '$link[id]'");
            $db->query("DELETE FROM `links_foot_user` WHERE `id_link` = '$link[id]'");

            $_SESSION['message'] = lang('Ссылка успешно удалена');
            header("location: ?admin");
            exit;
        }

        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/links/'>" . lang('Панель навигации') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='?admin'>" . lang('Управление') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Удаление');
        echo "</small></div><br />";

        echo "<div class='list-group-item-null'>";
        echo lang('Вы уверены, что хотите удалить эту ссылку') . "?<br />";

        $doc->Link('btn btn-success btn-sm', "?admin&amp;del=$link[id]&amp;ok", null, 'Да');
        $doc->Link('btn btn-secondary btn-sm', '?admin', null, 'Нет');
        echo "</div>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/user/links/'>" . lang('Панель навигации') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Управление');
    echo "</small></div><br />";

    echo "<div class='list-group-item-null'>";
    $doc->Link('btn btn-secondary btn-sm', "?admin&amp;new", 'plus', 'Добавить ссылку');
    echo "</div>";

    $links = $db->query("SELECT * FROM `links_foot` ORDER BY `name` DESC");

    if ($db->num_rows($links) == 0) {
        $doc->NoResult();
    }
    while ($post = $db->get_array($links)) {
        echo "<div class='list-group-item-null list-group-item-grey dop'>\n";
        echo "<span class='right'>";
        echo "<a href='?admin&amp;edit=$post[id]' class='hint--left' data-hint='" . lang('Редактировать ссылку') . "'><i class='fa fa-edit fa-fw'></i></a> ";
        echo "<a href='?admin&amp;del=$post[id]' class='hint--left' data-hint='" . lang('Удалить ссылку') . "'><i class='fa fa-trash-o fa-fw'></i></a>";
        echo "</span>";
        echo "<i class='fa fa-$post[icon] fa-fw'></i> $post[name] ($post[url])";
        echo "</div>";
    }

    require_once H . 'sys/inc/tfoot.php';
    exit;
}

$doc->Title('Панель навигации');

require_once H . 'sys/inc/thead.php';

aut();
err();

if (isset($_GET['add'])) {
    if (isset($_GET['link'])) {
        $k = $db->super_query("SELECT COUNT(*) as count FROM `links_foot` WHERE `id` = '" . intval($_GET['link']) . "' LIMIT 1");

        if ($k['count'] != 0) {
            $link = $db->get_array($db->query("SELECT * FROM `links_foot` WHERE `id` = '" . intval($_GET['link']) . "' LIMIT 1"));
        }
        $l = $db->super_query("SELECT COUNT(*) as count FROM `links_foot_user` WHERE `id_link` = '$link[id]' AND `id_user` = '$user[id]' LIMIT 1");

        if ($l['count'] == 0) {
            $pos = $db->super_query("SELECT MAX(`pos`) as pos FROM `links_foot_user` WHERE `id_user` = '$user[id]'");
            $pos = $pos['pos'] + 1;

            $db->query("INSERT INTO `links_foot_user` (`id_link`, `id_user`, `pos`) VALUES ('$link[id]', '$user[id]', '$pos')");
            $_SESSION['message'] = lang('Ссылка успешно добавлена');
        }
        header("location: /user/links/");
        exit;
    }
    $links = $db->query("SELECT * FROM `links_foot` ORDER BY `name` DESC");
    $cr = 0;

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/user/links/'>" . lang('Панель навигации') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Добавление ссылок');
    echo "</small></div><br />";

    while ($post = $db->get_array($links)) {
        $p = $db->super_query("SELECT COUNT(*) as count FROM `links_foot_user` WHERE `id_link` = '$post[id]' AND `id_user` = '$user[id]' LIMIT 1");

        if ($p['count'] == 0) {
            $cr++;

            echo "<a class='list-group-item-null list-group-item-grey dop' href='?add&amp;link=$post[id]'><i class='fa fa-$post[icon] fa-fw'></i> $post[name]</a>";
        }
    }

    if ($cr == 0) {
        $doc->NoResult();
    }

    require_once H . 'sys/inc/tfoot.php';
    exit;
} elseif (isset($_GET['up'])) {
    $link = $db->get_row($db->query("SELECT * FROM `links_foot_user` WHERE `id` = '" . intval($_GET['up']) . "' AND `id_user` = '$user[id]' LIMIT 1"));
    $q = $db->super_query("SELECT COUNT(*) as count FROM `links_foot_user` WHERE `pos` < '$link[pos]' AND `id_user` = '$user[id]' LIMIT 1");

    if ($q['count'] != 0) {
        $db->query("UPDATE `links_foot_user` SET `pos` = '" . ($link['pos']) . "' WHERE `pos` = '" . ($link['pos'] - 1) . "' AND `id_user` = '$user[id]' LIMIT 1");
        $db->query("UPDATE `links_foot_user` SET `pos` = '" . ($link['pos'] - 1) . "' WHERE `id` = '" . intval($_GET['up']) . "' AND `id_user` = '$user[id]' LIMIT 1");

        $_SESSION['message'] = lang('Ссылка перемещена выше');
        header("location: /user/links/");
    } else {
        header("Location: /user/links/");
    }
} elseif (isset($_GET['down'])) {
    $link = $db->get_row($db->query("SELECT * FROM `links_foot_user` WHERE `id` = '" . intval($_GET['down']) . "' AND `id_user` = '$user[id]' LIMIT 1"));

    $q = $db->super_query("SELECT COUNT(*) as count FROM `links_foot_user` WHERE `pos` > '$link[pos]' AND `id_user` = '$user[id]' LIMIT 1");

    if ($q['count'] != 0) {
        $db->query("UPDATE `links_foot_user` SET `pos` = '" . ($link['pos']) . "' WHERE `pos` = '" . ($link['pos'] + 1) . "' AND `id_user` = '$user[id]' LIMIT 1");
        $db->query("UPDATE `links_foot_user` SET `pos` = '" . ($link['pos'] + 1) . "' WHERE `id` = '" . intval($_GET['down']) . "' AND `id_user` = '$user[id]' LIMIT 1");
        $_SESSION['message'] = lang('Ссылка перемещена ниже');
        header("location: /user/links/");
    } else {
        header("Location: /user/links/");
    }
} elseif (isset($_GET['del'])) {
    $link = $db->get_array($db->query("SELECT * FROM `links_foot_user` WHERE `id` = '" . intval($_GET['del']) . "' AND `id_user` = '$user[id]' LIMIT 1"));
    $links = $db->query("SELECT * FROM `links_foot_user` WHERE `id_user` = '$user[id]' AND `pos` > '$link[pos]' ORDER BY `pos` ASC");
    while ($p = $db->get_array($links)) {
        $db->query("UPDATE `links_foot_user` SET `pos` = '" . ($p['pos'] - 1) . "' WHERE `id` = '$p[id]' LIMIT 1");
    }
    $db->query("DELETE FROM `links_foot_user` WHERE `id` = '$link[id]' AND `id_user` = '$user[id]'");

    $_SESSION['message'] = lang('Ссылка успешно удалена');

    header("Location: ?");
} elseif (isset($_GET['show_icons'])) {
    $db->query("UPDATE `user` SET `show_foot_type` = 'icons' WHERE `id` = '$user[id]' LIMIT 1");
    $_SESSION['message'] = lang('Включен показ ссылок иконками');
    header("Location: ?");
} elseif (isset($_GET['show_text'])) {
    $db->query("UPDATE `user` SET `show_foot_type` = 'text' WHERE `id` = '$user[id]' LIMIT 1");
    $_SESSION['message'] = lang('Включен показ ссылок текстом');
    header("Location: ?");
} elseif (isset($_GET['show_on'])) {
    $db->query("UPDATE `user` SET `show_foot` = 'on' WHERE `id` = '$user[id]' LIMIT 1");
    $_SESSION['message'] = lang('Панель включена');
    exit(header("Location: ?"));
} elseif (isset($_GET['show_off'])) {
    $db->query("UPDATE `user` SET `show_foot` = 'off' WHERE `id` = '$user[id]' LIMIT 1");
    $_SESSION['message'] = lang('Панель выключена');
    exit(header("Location: ?"));
} elseif (isset($_GET['show_left'])) {
    $db->query("UPDATE `user` SET `foot_sit` = 'left' WHERE `id` = '$user[id]' LIMIT 1");
    $_SESSION['message'] = lang('Включен показ ссылок слева');
    header("Location: ?");
} elseif (isset($_GET['show_center'])) {
    $db->query("UPDATE `user` SET `foot_sit` = 'center' WHERE `id` = '$user[id]' LIMIT 1");
    $_SESSION['message'] = lang('Включен показ ссылок в центре');
    header("Location: ?");
} elseif (isset($_GET['show_right'])) {
    $db->query("UPDATE `user` SET `foot_sit` = 'right' WHERE `id` = '$user[id]' LIMIT 1");
    $_SESSION['message'] = lang('Включен показ ссылок справа');
    header("Location: ?");
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Панель навигации');
echo "</small></div><br />";

if ($user['level'] >= 3) {
    $doc->Link('list-group-item-null list-group-item-warning', '?admin', 'th-large', 'Управление ссылками');
}

echo "<div class='list-group-item-null'>";
if ($user['show_foot'] == 'on') {
    $doc->Link('btn btn-secondary btn-sm right', '?show_off', 'power-off', 'Выключить');
} else {
    $doc->Link('btn btn-secondary btn-sm right', '?show_on', 'power-off', 'Включить');
}

$doc->Link('btn btn-secondary btn-sm', "?add", 'plus', 'Добавить ссылку');
echo "</div>";

$links = $db->query("SELECT * FROM `links_foot_user` WHERE `id_user` = '$user[id]' ORDER BY `pos` ASC");
if ($db->num_rows($links) == 0) {
    $doc->NoResult();
}

while ($post = $db->get_array($links)) {
    echo "<div class='list-group-item-null list-group-item-grey dop'>";
    $link = $db->get_array($db->query("SELECT * FROM `links_foot` WHERE `id` = '$post[id_link]' LIMIT 1"));
    echo "<span class='right'>";
    echo "<a href='?up=$post[id]' class='hint--left' data-hint='" . lang('Поднять выше') . "'><i class='fa fa-arrow-up fa-fw'></i></a> ";
    echo "<a href='?down=$post[id]' class='hint--left' data-hint='" . lang('Опустить ниже') . "'><i class='fa fa-arrow-down fa-fw'></i></a> ";
    echo "<a href='?del=$post[id]' class='hint--left' data-hint='" . lang('Удалить ссылку') . "'><i class='fa fa-trash-o fa-fw'></i></a>";
    echo "</span>";

    echo "<i class='fa fa-$link[icon] fa-fw'></i> " . lang("$link[name]");
    echo "</div>";
}

require_once H . 'sys/inc/tfoot.php';
exit;
